Option Strict Off
Imports System.Windows.Forms
Public Class 倉儲分區控制表
    ReadOnly ds As New DataSet : Dim 首次開啟 As Boolean = False
    Private Sub Set_清單1()
        倉儲區域_dgv.DataSource = Nothing : ds.Clear()
        倉儲區域_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        倉儲區域_dgv.ColumnHeadersHeight = 25
        倉儲區域_dgv.AllowUserToAddRows = False
        倉儲區域_dgv.RowTemplate.Height = 30

        SQL_倉儲分區控制表_清單() : 列印用SQL = SQL1
        da.Fill(ds) : 倉儲區域_dgv.DataSource = ds.Tables(0) : conn.Close()

        倉儲區域_dgv.Columns(0).FillWeight = 90 : 倉儲區域_dgv.Columns(1).FillWeight = 90 : 倉儲區域_dgv.Columns(2).FillWeight = 350
    End Sub
    Private Sub 編號推進()
        SQL_倉儲分區控制表_最後一筆()
        If dr.Read() Then
            倉名編號_tb.Text = dr("倉名編號")
            If Val(Strings.Right(倉名編號_tb.Text, 2)) < 10 Then
                倉名編號_tb.Text = "N0" & Val(Strings.Right(倉名編號_tb.Text, 2)) + 1
            Else
                倉名編號_tb.Text = "N" & Val(Strings.Right(倉名編號_tb.Text, 2)) + 1
            End If
        Else
            倉名編號_tb.Text = "N01"
        End If : conn.Close()
    End Sub
    Private Sub 倉儲分區控制表_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        首次開啟 = False : Set_清單1() : 首次開啟 = True '--------------------資料讀取
        倉名編號_tb.Enabled = False
        If Val(登入人級別) = 1 Or Val(登入人級別) = 0 Then
            修改_bt.Enabled = True : 刪除_bt.Enabled = True
        Else
            修改_bt.Enabled = False : 刪除_bt.Enabled = False
        End If
        編號推進()
    End Sub
    Private Sub 倉儲區域_dgv_CellClick(ByVal sender As System.Object, ByVal e As DataGridViewCellEventArgs) Handles 倉儲區域_dgv.CellEnter
        If 首次開啟 = True Then
            If e.RowIndex = -1 Then : Else
                倉級_tb.Text = 倉儲區域_dgv(0, e.RowIndex).Value.ToString : 倉名編號_tb.Text = 倉儲區域_dgv(1, e.RowIndex).Value.ToString
                倉名_tb.Text = 倉儲區域_dgv(2, e.RowIndex).Value.ToString
            End If
        End If
    End Sub
    Private Sub 新增_bt_Click(sender As Object, e As EventArgs) Handles 新增_bt.Click
        If 倉級_tb.Text = "" Or 倉名_tb.Text = "" Then
            MsgBox("資料不齊全。")
        Else
            編號推進()
            SQL_倉儲分區控制表_倉名查詢()
            If dr.Read() Then
                conn.Close() : MsgBox("資料重複。")
            Else
                SQL_倉儲分區控制表_不重複查詢()
                If dr.Read() Then
                    conn.Close() : MsgBox("資料重複。")
                Else
                    SQL_倉儲分區控制表_新增() : conn.Close()
                    MsgBox("新增完成。") : 編號推進() : 倉名_tb.Text = "" : Set_清單1()
                End If
            End If
        End If
    End Sub
    Private Sub 修改_bt_Click(sender As Object, e As EventArgs) Handles 修改_bt.Click
        If 倉級_tb.Text = "" Or 倉名_tb.Text = "" Then
            MsgBox("資料不齊全。")
        Else
            SQL_倉儲分區控制表_倉名查詢()
            If dr.Read() Then
                conn.Close() : MsgBox("資料重複。")
            Else
                SQL_倉儲分區控制表_不重複查詢()
                If dr.Read() Then
                    conn.Close() : MsgBox("資料重複。")
                Else
                    SQL_倉儲分區控制表_修改() : conn.Close()
                    MsgBox("修改完成。") : Set_清單1()
                End If
            End If
        End If
    End Sub
    Private Sub 刪除_bt_Click(sender As Object, e As EventArgs) Handles 刪除_bt.Click
        Dim aa As MsgBoxResult = MsgBox("確定要刪除該筆資料 ?", MsgBoxStyle.OkCancel)
        If aa = MsgBoxResult.Ok Then
            SQL_倉儲分區控制表_刪除() : conn.Close()
            MsgBox("刪除完成。") : 編號推進() : 倉名_tb.Text = "" : Set_清單1()
        End If
    End Sub
    Private Sub 字體_NUD_ValueChanged(sender As Object, e As EventArgs) Handles 字體_NUD.ValueChanged
        倉儲區域_dgv.RowsDefaultCellStyle.Font = New System.Drawing.Font("微軟正黑體", 字體_NUD.Value)
    End Sub
End Class